Package org.eclipse.m2m.atl.emftvm.cdo.impl

# Class CDOInstanceOfIterable

java.lang.Object
org.eclipse.m2m.atl.emftvm.cdo.impl.CDOInstanceOfIterable

All Implemented Interfaces:
  `Iterable<org.eclipse.emf.ecore.EObject>`

public class CDOInstanceOfIterable extends Object implements Iterable<org.eclipse.emf.ecore.EObject>
Makes the instances of the given `EClass` in a `CDOResource` available as an `Iterable`. Inspired by Epsilon's emc-cdo.

## Constructor Summary

Constructors
Constructor
Description
`CDOInstanceOfIterable(org.eclipse.emf.cdo.eresource.CDOResource res, org.eclipse.emf.ecore.EClass type)`
Creates a new `CDOInstanceOfIterable` around `res` and `type`.

## Method Summary

Modifier and Type
Method
Description
`org.eclipse.net4j.util.collection.CloseableIterator<org.eclipse.emf.ecore.EObject>`
`iterator()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

## Constructor Details

### CDOInstanceOfIterable

public CDOInstanceOfIterable(org.eclipse.emf.cdo.eresource.CDOResource res, org.eclipse.emf.ecore.EClass type)
Creates a new `CDOInstanceOfIterable` around `res` and `type`.

Parameters:
  `res` - the resource
  `type` - the EClass

## Method Details

### iterator

public org.eclipse.net4j.util.collection.CloseableIterator<org.eclipse.emf.ecore.EObject> iterator()

Specified by:
  `iterator` in interface `Iterable<org.eclipse.emf.ecore.EObject>`